Subject: Re: [idn] what are the IDN identifiers?

From: liana Ye <[email-masked]>
Date: Thu, 6 Dec 2001 01:06:04 -0600

> 
> The only thing I see different about your situation is that CJK 
> shares some code points, but not all in their respective char sets. 
> I'm not sure if one can make a case for an exception based upon 
> that. 
>
> If you could, then I would think that the best solution would be for 
> Unicode to assign the shared characters different code points for 
> each language. That way both the Chinese and Japanese could have 
> independent and separate <Han-tree>.com. However, still be advised 
> that anyone could register that name -- even me, when it came on the 
> market -- so, country has no meaning when it comes to registering.
> 

Unicode did give them independent codepoints as well as some
shared code points.   This is the reason we need an equivalent 
set to be implemented so that there is place to check <Kanji-tree> 
is <Han-tree>, or<Han-TC-tree> is <Han-SC-tree>  to prevent the 
second registration, given two codepoints are not neccessarily 
the same.  

So does Armenian "nnnn" can be registered and found out later is 
conflict with Latin "nnnn" as trademark issue, precisely due to
they are different codepoints in UCS.

> Now, with all that said, I wonder if the idn wg is the place to 
> discus your problem? For I do not see what anyone could do short of 
> assigning different code point for shared characters -- do you?

Now, I am confused with your question, which problem I 
have discussed you don't think belong to idn wg? 

Liana